Get call details
curl --request GET \
--url https://app.freyavoice.ai/api/v2/call/{callId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.freyavoice.ai/api/v2/call/{callId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.freyavoice.ai/api/v2/call/{callId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"call": {
"id": "<string>",
"workspaceId": "<string>",
"externalCallId": "<string>",
"assistantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistantName": "<string>",
"assistantEntityType": "workflow",
"assistantWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phoneNumberId": "<string>",
"phoneNumber": "<string>",
"simulationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign": {
"id": "<string>",
"name": "<string>",
"assistantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phoneNumberId": "<string>",
"description": "<string>"
},
"customerNumber": "<string>",
"customerLabel": "<string>",
"startedAt": "<string>",
"endedAt": "<string>",
"duration": 123,
"status": "<string>",
"type": "<string>",
"modality": "voice",
"endedReason": "<string>",
"transcript": "<string>",
"messages": [
{
"role": "<string>",
"message": "<string>",
"duration": 123,
"secondsFromStart": 123,
"timestamp": "<string>",
"endTime": 123,
"messageId": "<string>",
"was_blocked": true,
"wasBlocked": true,
"blocked_content": "<string>",
"blockedContent": "<string>"
}
],
"summary": "<string>",
"cost": 123,
"turnLatencyStats": {
"p50": 123,
"p75": 123,
"p95": 123,
"p99": 123,
"p90": 123,
"avg": 123,
"count": 123
},
"recordingUrl": "<string>",
"tags": [
{
"tag": "<string>",
"source": "<string>",
"value": 123,
"confidence": 0.5,
"metadata": {}
}
],
"customer": {
"number": "<string>",
"identity": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
},
"unresolvedFeedbacksCount": 123,
"resolvedFeedbacksCount": 123,
"unresolvedAiFeedbacksCount": 123,
"unresolvedUserFeedbacksCount": 123,
"reviewStatus": "<string>",
"reviewTag": "<string>",
"reviewNotes": "<string>",
"reviewAssignees": [
{
"userId": "<string>",
"userName": "<string>"
}
],
"isArchived": false,
"isImported": false,
"isShared": true,
"assertionsSummary": {
"passed": 123,
"failed": 123,
"total": 123
},
"unitTestsCount": 123,
"searchScore": 123,
"searchSnippet": "<string>",
"entityVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityVersionNumber": 123,
"updatedAt": "<string>",
"sipCallId": "<string>",
"analysis": "<unknown>",
"createdAt": "<string>",
"artifact": "<unknown>",
"problems": [
{
"title": "<string>",
"id": "<string>",
"workspaceId": "<string>",
"callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"proposedSolution": "<string>",
"solutionNote": "<string>",
"type": "workflow",
"severity": 0.5,
"status": "open",
"assignedTo": "<string>",
"createdBy": "ai",
"messageId": "<string>",
"resolved": false,
"resolvedAt": "<string>",
"resolvedBy": "<string>",
"solutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolvedByVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"callStartedAt": "<string>",
"customerNumber": "<string>",
"entityVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"callReviewTag": "<string>",
"callReviewNotes": "<string>",
"webCallerName": "<string>",
"webCallerUserId": "<string>",
"hasExternalReference": true,
"externalReferences": [
{
"id": "<string>",
"url": "<string>",
"label": "<string>"
}
],
"agentName": "<string>",
"agentEntityType": "<string>",
"agentWorkflowId": "<string>",
"resolvedByName": "<string>",
"assignees": [
{
"userId": "<string>",
"assignedAt": "<string>",
"userName": "<string>"
}
],
"commentsCount": 123,
"openSolutions": [
{
"branchId": "<string>",
"name": "<string>",
"entityType": "<string>",
"entityId": "<string>"
}
],
"isArchived": false
}
],
"assertionResults": [
{
"id": "<string>",
"name": "<string>",
"assertion": "<string>",
"success": true,
"reason": "<string>",
"relevantMessages": {},
"timeTaken": 123,
"metadata": {}
}
],
"successCriteriaResult": {
"id": "<string>",
"name": "<string>",
"assertion": "<string>",
"success": true,
"reason": "<string>",
"relevantMessages": {},
"timeTaken": 123,
"metadata": {}
}
}
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Calls
Get call details
Returns detailed call information including transcript, messages, tags, and feedbacks.
GET
/
call
/
{callId}
Get call details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Call ID
Query Parameters
Workspace ID